# Class `luci.sys.init`

LuCI system utilities / init related functions.

## Functions

disable (name) | Disable the given init script
enable (name) | Enable the given init script
enabled (name) | Test whether the given init script is enabled
index (name) | Get the index of he given init script
names () | Get the names of all installed init scripts
start (name) | Start the given init script
stop (name) | Stop the given init script

## Functions

disable (name)
  Disable the given init script

  ### Parameters

  - name: Name of the init script

  ### Return value:

  Boolean indicating success
enable (name)
  Enable the given init script

  ### Parameters

  - name: Name of the init script

  ### Return value:

  Boolean indicating success
enabled (name)
  Test whether the given init script is enabled

  ### Parameters

  - name: Name of the init script

  ### Return value:

  Boolean indicating whether init is enabled
index (name)
  Get the index of he given init script

  ### Parameters

  - name: Name of the init script

  ### Return value:

  Numeric index value
names ()
  Get the names of all installed init scripts

  ### Return value:

  Table containing the names of all inistalled init scripts
start (name)
  Start the given init script

  ### Parameters

  - name: Name of the init script

  ### Return value:

  Boolean indicating success
stop (name)
  Stop the given init script

  ### Parameters

  - name: Name of the init script

  ### Return value:

  Boolean indicating success